import React from 'react';
import ReactDOM from 'react-dom';
import Select from '..';
const dataSource = [
    { value: '10001', label: 'Lucy King' },
    { value: 10002, label: 'Lily King' },
    { value: 10003, label: 'Tom Cat', disabled: true },
    {
        label: 'Special Group',
        children: [
            { value: -1, label: 'FALSE' },
            { value: 0, label: 'ZERO' },
        ],
    },
];
function handleChange(value) {
    console.log(value);
}
ReactDOM.render(React.createElement("div", null,
    React.createElement(Select, { "aria-label": "tag mode", mode: "tag", defaultValue: ['10001'], onChange: handleChange, dataSource: dataSource, style: { width: 300 } }),
    React.createElement("br", null),
    React.createElement("br", null),
    React.createElement("div", { style: { background: '#f3f3f3', padding: '10px' } },
        React.createElement(Select, { "aria-label": "tag mode", mode: "tag", defaultValue: ['10001'], onChange: handleChange, dataSource: dataSource, style: { width: 300 }, theme: 'grey' }))), document.getElementById('select-demo-3'));
